You are not logged in.

#326 2012-02-17 06:25:00

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

mr_comic wrote:

I updated and I find this error in the logs:

[+0.05s] ERROR: Settings schema 'com.canonical.unity-greeter' is not installed

Okay, I was able to reproduce this smile The '0.2.3.0ubuntu3-2' update should fix this big_smile


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

#327 2012-02-17 19:14:34

sollidsnake
Member
Registered: 2012-01-30
Posts: 100

Re: Progress on Unity under Arch Linux!

chenxiaolong wrote:

Hmm...I just went and rebuilt all the packages and all of them seem to build for me. Could you post the build logs of (maybe, just some) the ones that fail? Maybe that will help me find the source of the problem.

EDIT: Just a simple question, but you are running "git pull" to update the sources, right? (this one has happened quite a bit to me before tongue)

Yes I ran 'git pull' before building the packages. I still didn't have time to build them again to log the errors I get. I think I'll be able to do that on monday or tuesday. Anyway, I'd like to congratulate you for the work you're doing to port unity on arch. It's a really nice work smile


"For with the passing of this hour
Even gods will be devoured"

Offline

#328 2012-02-20 22:30:20

Selo
Member
Registered: 2012-02-08
Posts: 36

Re: Progress on Unity under Arch Linux!

Hi i am trying to install Unity and i am not quite sure what the error is but it seems like i am missing a library, i get this error:

package 'libutouch-geis' not found

I basically installed all packages and dependencies from http://aur.archlinux.org/packages.php?ID=42311 ( Compiz packages from ayatana ) and now i am trying to install unity 5.0.0-2 I also couldn't find this package on AUR.

Rest of the output:

==> Making package: unity 5.0.0-2 (Tue Feb 21 00:15:27 EET 2012)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving Sources...
  -> Found unity-5.0.0.tar.bz2
  -> Found launchpad-export.tar.gz
  -> Found make-optional.patch
  -> Found disable-multitouch.patch
  -> Found unity.ini
  -> Found unity.sh
  -> Found unity.session
  -> Found unity.desktop
  -> Found unity.xml.defaults
==> Validating source files with md5sums...
    unity-5.0.0.tar.bz2 ... Passed
    launchpad-export.tar.gz ... Passed
    make-optional.patch ... Passed
    disable-multitouch.patch ... Passed
    unity.ini ... Passed
    unity.sh ... Passed
    unity.session ... Passed
    unity.desktop ... Passed
    unity.xml.defaults ... Passed
==> Extracting Sources...
  -> Extracting unity-5.0.0.tar.bz2 with bsdtar
  -> Extracting launchpad-export.tar.gz with bsdtar
==> Removing existing pkg/ directory...
==> Starting build()...
-- checking for module 'libutouch-geis'
--   package 'libutouch-geis' not found
-- [WARNING] One or more dependencies for compiz plugin unityshell not found. Skipping plugin.
-- Missing dependencies : libutouch-geis
CMake Error at plugins/unityshell/CMakeLists.txt:12 (add_dependencies):
  add_dependencies Adding dependency to non-existent target: unityshell


CMake Error at /usr/share/compiz/cmake/CompizPlugin.cmake:428 (file):
  file Internal CMake error when trying to open file:
  /home/selo/Desktop/unity/src/unity-5.0.0/VERSION for reading.
Call Stack (most recent call first):
  /usr/share/compiz/cmake/CompizPlugin.cmake:456 (_build_compiz_plugin)
  plugins/gtkloader/CMakeLists.txt:5 (compiz_plugin)


CMake Error at /usr/share/compiz/cmake/CompizPlugin.cmake:429 (string):
  string sub-command STRIP requires two arguments.
Call Stack (most recent call first):
  /usr/share/compiz/cmake/CompizPlugin.cmake:456 (_build_compiz_plugin)
  plugins/gtkloader/CMakeLists.txt:5 (compiz_plugin)


CMake Error at /usr/share/compiz/cmake/CompizPlugin.cmake:428 (file):
  file Internal CMake error when trying to open file:
  /home/selo/Desktop/unity/src/unity-5.0.0/VERSION for reading.
Call Stack (most recent call first):
  /usr/share/compiz/cmake/CompizPlugin.cmake:456 (_build_compiz_plugin)
  plugins/networkarearegion/CMakeLists.txt:5 (compiz_plugin)


CMake Error at /usr/share/compiz/cmake/CompizPlugin.cmake:429 (string):
  string sub-command STRIP requires two arguments.
Call Stack (most recent call first):
  /usr/share/compiz/cmake/CompizPlugin.cmake:456 (_build_compiz_plugin)
  plugins/networkarearegion/CMakeLists.txt:5 (compiz_plugin)


CMake Error at /usr/share/compiz/cmake/CompizPlugin.cmake:428 (file):
  file Internal CMake error when trying to open file:
  /home/selo/Desktop/unity/src/unity-5.0.0/VERSION for reading.
Call Stack (most recent call first):
  /usr/share/compiz/cmake/CompizPlugin.cmake:456 (_build_compiz_plugin)
  plugins/unitydialog/CMakeLists.txt:5 (compiz_plugin)


CMake Error at /usr/share/compiz/cmake/CompizPlugin.cmake:429 (string):
  string sub-command STRIP requires two arguments.
Call Stack (most recent call first):
  /usr/share/compiz/cmake/CompizPlugin.cmake:456 (_build_compiz_plugin)
  plugins/unitydialog/CMakeLists.txt:5 (compiz_plugin)


-- checking for module 'nux-1.0>=1.2.2'
--   package 'nux-1.0>=1.2.2' not found
-- [WARNING] One or more dependencies for compiz plugin unitymtgrabhandles not found. Skipping plugin.
-- Missing dependencies : nux-1.0>=1.2.2
-- checking for modules 'compiz;nux-2.0 >= 2.0.0;libbamf3;dee-1.0;gio-2.0;gio-unix-2.0;dbusmenu-glib-0.4;x11;libstartup-notification-1.0;gthread-2.0;indicator3-0.4;atk;unity-misc >= 0.4.0;gconf-2.0;libutouch-geis;gtk+-3.0 >= 3.1;sigc++-2.0;json-glib-1.0;libnotify;gnome-desktop-3.0;gdu;unity>=4.99.0'
--   package 'libutouch-geis' not found
CMake Error at /usr/share/cmake-2.8/Modules/FindPkgConfig.cmake:266 (message):
  A required package was not found
Call Stack (most recent call first):
  /usr/share/cmake-2.8/Modules/FindPkgConfig.cmake:320 (_pkg_check_modules_internal)
  tests/CMakeLists.txt:19 (pkg_check_modules)


-- Could NOT find GTest (missing:  GTEST_LIBRARY GTEST_INCLUDE_DIR GTEST_MAIN_LIBRARY) (found version "5.0.0")
-- checking for modules 'compiz;nux-2.0 >= 2.0.0;libbamf3;dee-1.0;gio-2.0;gio-unix-2.0;dbusmenu-glib-0.4;x11;libstartup-notification-1.0;gthread-2.0;indicator3-0.4;atk;unity-misc >= 0.4.0;gconf-2.0;libutouch-geis;gtk+-3.0 >= 3.1;sigc++-2.0;json-glib-1.0;libnotify;gnome-desktop-3.0;gdu;unity>=4.0.0'
--   package 'libutouch-geis' not found
CMake Error at /usr/share/cmake-2.8/Modules/FindPkgConfig.cmake:266 (message):
  A required package was not found
Call Stack (most recent call first):
  /usr/share/cmake-2.8/Modules/FindPkgConfig.cmake:320 (_pkg_check_modules_internal)
  standalone-clients/CMakeLists.txt:12 (pkg_check_modules)


-- GSettings schemas will be installed into /usr/share/glib-2.0/schemas/
-- Configuring incomplete, errors occurred!
==> ERROR: A failure occurred in build().
    Aborting....

Offline

#329 2012-02-20 23:27:13

mr_comic
Member
From: México
Registered: 2011-02-20
Posts: 52
Website

Re: Progress on Unity under Arch Linux!

Selo wrote:

Hi i am trying to install Unity and i am not quite sure what the error is but it seems like i am missing a library, i get this error:

package 'libutouch-geis' not found

I basically installed all packages and dependencies from http://aur.archlinux.org/packages.php?ID=42311 ( Compiz packages from ayatana ) and now i am trying to install unity 5.0.0-2 I also couldn't find this package on AUR.

That's cause you're doing it wrong, you should remove all the packages you installed from AUR and compile everything from the git https://github.com/chenxiaolong/Unity-for-Arch/tree/

Offline

#330 2012-02-21 00:42:48

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

mr_comic wrote:
Selo wrote:

Hi i am trying to install Unity and i am not quite sure what the error is but it seems like i am missing a library, i get this error:

package 'libutouch-geis' not found

I basically installed all packages and dependencies from http://aur.archlinux.org/packages.php?ID=42311 ( Compiz packages from ayatana ) and now i am trying to install unity 5.0.0-2 I also couldn't find this package on AUR.

That's cause you're doing it wrong, you should remove all the packages you installed from AUR and compile everything from the git https://github.com/chenxiaolong/Unity-for-Arch/tree/

Thanks for that big_smile


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

#331 2012-02-21 03:51:07

sollidsnake
Member
Registered: 2012-01-30
Posts: 100

Re: Progress on Unity under Arch Linux!

I'm getting this when trying to build libcompizconfig-ubuntu

make[2]: *** [backend/CMakeFiles/ini.dir/src/transition_ini.cpp.o] Error 1
make[1]: *** [backend/CMakeFiles/ini.dir/all] Error 2
make: *** [all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...

The other packages seemed to be build fine, but when I use the auto hide feature of the launcher, it just shows me a shadown when I hover the cursor on the left edge and the launcher doesn't not appear.


"For with the passing of this hour
Even gods will be devoured"

Offline

#332 2012-02-21 04:06:09

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

sollidsnake wrote:

I'm getting this when trying to build libcompizconfig-ubuntu

make[2]: *** [backend/CMakeFiles/ini.dir/src/transition_ini.cpp.o] Error 1
make[1]: *** [backend/CMakeFiles/ini.dir/all] Error 2
make: *** [all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...

The other packages seemed to be build fine, but when I use the auto hide feature of the launcher, it just shows me a shadown when I hover the cursor on the left edge and the launcher doesn't not appear.

Could you post the full build log? The real error is right above the segment that you posted big_smile. I also have the problem where the launcher doesn't appear. I'll see if I can fix that later. For now, you can either turn off autohide or hold the Super/Windows button.


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

#333 2012-02-21 15:49:23

mr_comic
Member
From: México
Registered: 2011-02-20
Posts: 52
Website

Re: Progress on Unity under Arch Linux!

chenxiaolong wrote:

Thanks for that big_smile

No problem smile I uninstalled Unity for a while cause it makes the icons of rhythmbox look weird but I totally love the project and if I can help I will smile

Offline

#334 2012-02-21 18:18:59

Selo
Member
Registered: 2012-02-08
Posts: 36

Re: Progress on Unity under Arch Linux!

mr_comic wrote:
Selo wrote:

Hi i am trying to install Unity and i am not quite sure what the error is but it seems like i am missing a library, i get this error:

package 'libutouch-geis' not found

I basically installed all packages and dependencies from http://aur.archlinux.org/packages.php?ID=42311 ( Compiz packages from ayatana ) and now i am trying to install unity 5.0.0-2 I also couldn't find this package on AUR.

That's cause you're doing it wrong, you should remove all the packages you installed from AUR and compile everything from the git https://github.com/chenxiaolong/Unity-for-Arch/tree/

Thanks for the reply, too bad i did not know about this hmm

Offline

#335 2012-02-21 18:23:12

mr_comic
Member
From: México
Registered: 2011-02-20
Posts: 52
Website

Re: Progress on Unity under Arch Linux!

Selo wrote:

Thanks for the reply, too bad i did not know about this hmm

I know it seems like too much just to have Unity but chenxiaolong has made a great work and it's worth the try, also only the first time you compile it can take a little more time than the others but to me it worked on the first try.

Offline

#336 2012-02-21 22:48:43

sollidsnake
Member
Registered: 2012-01-30
Posts: 100

Re: Progress on Unity under Arch Linux!

chenxiaolong wrote:
sollidsnake wrote:

I'm getting this when trying to build libcompizconfig-ubuntu

make[2]: *** [backend/CMakeFiles/ini.dir/src/transition_ini.cpp.o] Error 1
make[1]: *** [backend/CMakeFiles/ini.dir/all] Error 2
make: *** [all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...

The other packages seemed to be build fine, but when I use the auto hide feature of the launcher, it just shows me a shadown when I hover the cursor on the left edge and the launcher doesn't not appear.

Could you post the full build log? The real error is right above the segment that you posted big_smile. I also have the problem where the launcher doesn't appear. I'll see if I can fix that later. For now, you can either turn off autohide or hold the Super/Windows button.

Uops, here is the full log

[jesse@myarch libcompizconfig-ubuntu]$ makepkg -si
==> Making package: libcompizconfig-ubuntu 0.9.7.0.bzr428.0ubuntu2-100 (Tue Feb 21 20:44:35 BRST 2012)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving Sources...
  -> Found libcompizconfig_0.9.7.0~bzr428.orig.tar.bz2
  -> Found libcompizconfig_0.9.7.0~bzr428-0ubuntu2.debian.tar.gz
==> Validating source files with sha512sums...
    libcompizconfig_0.9.7.0~bzr428.orig.tar.bz2 ... Passed
    libcompizconfig_0.9.7.0~bzr428-0ubuntu2.debian.tar.gz ... Passed
==> Extracting Sources...
  -> Extracting libcompizconfig_0.9.7.0~bzr428.orig.tar.bz2 with bsdtar
  -> Extracting libcompizconfig_0.9.7.0~bzr428-0ubuntu2.debian.tar.gz with bsdtar
==> Removing existing pkg/ directory...
==> Starting build()...
patching file config/config
running cd "/home/jesse/builds/Unity-for-Arch/libcompizconfig-ubuntu/src/libcompizconfig-0.9.5.94/src" && /usr/bin/protoc --cpp_out='.' compizconfig.proto  2>&1

************************************************************
* Compiz Buildsystem                                       *
*                                                          *
* Package : CompizConfig Library                           *
* Version : 0.9.5.94                                       *
************************************************************

Optional features:

   protocol buffers               : Yes
   file system change notifications : Yes

Plugin configure check results:

  ccp           : Yes

************************************************************

-- Configuring done
-- Generating done

CMake Warning:
  Manually-specified variables were not used by the project:

    CMAKE_BUILD_WITH_RPATH
    COMPIZ_DISABLE_GS_SCHEMAS_INSTALL


-- Build files have been written to: /home/jesse/builds/Unity-for-Arch/libcompizconfig-ubuntu/src/libcompizconfig-0.9.5.94/build
Scanning dependencies of target compizconfig
[  7%] Building CXX object src/CMakeFiles/compizconfig.dir/compiz.cpp.o
/home/jesse/builds/Unity-for-Arch/libcompizconfig-ubuntu/src/libcompizconfig-0.9.5.94/src/compiz.cpp: In function 'Bool createProtoBufCacheDir()':
/home/jesse/builds/Unity-for-Arch/libcompizconfig-ubuntu/src/libcompizconfig-0.9.5.94/src/compiz.cpp:1927:43: warning: ignoring return value of 'int asprintf(char**, const char*, ...)', declared with attribute warn_unused_result [-Wunused-result]
/home/jesse/builds/Unity-for-Arch/libcompizconfig-ubuntu/src/libcompizconfig-0.9.5.94/src/compiz.cpp:1934:49: warning: ignoring return value of 'int asprintf(char**, const char*, ...)', declared with attribute warn_unused_result [-Wunused-result]
/home/jesse/builds/Unity-for-Arch/libcompizconfig-ubuntu/src/libcompizconfig-0.9.5.94/src/compiz.cpp: In function 'void ccsLoadPlugins(CCSContext*)':
/home/jesse/builds/Unity-for-Arch/libcompizconfig-ubuntu/src/libcompizconfig-0.9.5.94/src/compiz.cpp:3027:56: warning: ignoring return value of 'int asprintf(char**, const char*, ...)', declared with attribute warn_unused_result [-Wunused-result]
/home/jesse/builds/Unity-for-Arch/libcompizconfig-ubuntu/src/libcompizconfig-0.9.5.94/src/compiz.cpp:3039:55: warning: ignoring return value of 'int asprintf(char**, const char*, ...)', declared with attribute warn_unused_result [-Wunused-result]
/home/jesse/builds/Unity-for-Arch/libcompizconfig-ubuntu/src/libcompizconfig-0.9.5.94/src/compiz.cpp: In function 'void loadPluginFromXMLFile(CCSContext*, char*, char*)':
/home/jesse/builds/Unity-for-Arch/libcompizconfig-ubuntu/src/libcompizconfig-0.9.5.94/src/compiz.cpp:2756:58: warning: ignoring return value of 'int asprintf(char**, const char*, ...)', declared with attribute warn_unused_result [-Wunused-result]
/home/jesse/builds/Unity-for-Arch/libcompizconfig-ubuntu/src/libcompizconfig-0.9.5.94/src/compiz.cpp:2792:73: warning: ignoring return value of 'int asprintf(char**, const char*, ...)', declared with attribute warn_unused_result [-Wunused-result]
/home/jesse/builds/Unity-for-Arch/libcompizconfig-ubuntu/src/libcompizconfig-0.9.5.94/src/compiz.cpp: In function 'void addPluginFromPB(CCSContext*, const PluginInfoMetadata&, char*, char*)':
/home/jesse/builds/Unity-for-Arch/libcompizconfig-ubuntu/src/libcompizconfig-0.9.5.94/src/compiz.cpp:882:69: warning: ignoring return value of 'int asprintf(char**, const char*, ...)', declared with attribute warn_unused_result [-Wunused-result]
/home/jesse/builds/Unity-for-Arch/libcompizconfig-ubuntu/src/libcompizconfig-0.9.5.94/src/compiz.cpp: In function 'Bool addPluginFromXMLNode(CCSContext*, xmlNode*, char*, void*)':
/home/jesse/builds/Unity-for-Arch/libcompizconfig-ubuntu/src/libcompizconfig-0.9.5.94/src/compiz.cpp:2517:72: warning: ignoring return value of 'int asprintf(char**, const char*, ...)', declared with attribute warn_unused_result [-Wunused-result]
/home/jesse/builds/Unity-for-Arch/libcompizconfig-ubuntu/src/libcompizconfig-0.9.5.94/src/compiz.cpp: In function 'Bool ccsLoadPlugin(CCSContext*, char*)':
/home/jesse/builds/Unity-for-Arch/libcompizconfig-ubuntu/src/libcompizconfig-0.9.5.94/src/compiz.cpp:2992:40: warning: ignoring return value of 'int asprintf(char**, const char*, ...)', declared with attribute warn_unused_result [-Wunused-result]
/home/jesse/builds/Unity-for-Arch/libcompizconfig-ubuntu/src/libcompizconfig-0.9.5.94/src/compiz.cpp:2999:59: warning: ignoring return value of 'int asprintf(char**, const char*, ...)', declared with attribute warn_unused_result [-Wunused-result]
[ 14%] Building CXX object src/CMakeFiles/compizconfig.dir/compizconfig.pb.cc.o
Linking CXX shared library libcompizconfig.so
[ 64%] Built target compizconfig
[ 71%] Building CXX object backend/CMakeFiles/ini.dir/src/transition_ini.cpp.o
/home/jesse/builds/Unity-for-Arch/libcompizconfig-ubuntu/src/libcompizconfig-0.9.5.94/backend/src/transition_ini.cpp:43:21: fatal error: gio/gio.h: No such file or directory
compilation terminated.
make[2]: *** [backend/CMakeFiles/ini.dir/src/transition_ini.cpp.o] Error 1
make[1]: *** [backend/CMakeFiles/ini.dir/all] Error 2
make: *** [all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...

About the auto hide issue, can you provide the downgrade packages until it gets fixed? Thanks.


"For with the passing of this hour
Even gods will be devoured"

Offline

#337 2012-02-21 23:58:03

quasifilmie
Member
From: Bowmanville, Ontario, Canada
Registered: 2011-10-27
Posts: 292

Re: Progress on Unity under Arch Linux!

Unable to build lidindicator-datetime

 patching file debian/indicator-datetime-gtk2.install
patching file debian/compat
patching file debian/rules
patching file debian/copyright
patching file debian/changelog
patching file debian/watch
patching file debian/control
patching file debian/indicator-datetime.install
patching file debian/patches/lp_802384.patch
patching file debian/patches/gtk_box_api.patch
patching file debian/patches/disable_Werror.patch
patching file debian/patches/series
patching file debian/patches/lp_844741.patch
patching file debian/source/format
patching file src/Makefile.am
patching file src/Makefile.am
Reversed (or previously applied) patch detected!  Skipping patch.
3 out of 3 hunks ignored -- saving rejects to file src/Makefile.am.rej
patching file src/Makefile.am
Reversed (or previously applied) patch detected!  Skipping patch.
3 out of 3 hunks ignored -- saving rejects to file src/Makefile.am.rej
 

EDIT: after tinkering with pkgbuild I am getting this

 No package 'libgnome-control-center' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables PREF_CFLAGS
and PREF_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
==> ERROR: A failure occurred in build().
    Aborting...
 

Last edited by quasifilmie (2012-02-22 00:14:48)

Offline

#338 2012-02-22 01:12:43

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

sollidsnake wrote:

Uops, here is the full log

[jesse@myarch libcompizconfig-ubuntu]$ makepkg -si
==> Making package: libcompizconfig-ubuntu 0.9.7.0.bzr428.0ubuntu2-100 (Tue Feb 21 20:44:35 BRST 2012)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving Sources...
  -> Found libcompizconfig_0.9.7.0~bzr428.orig.tar.bz2
  -> Found libcompizconfig_0.9.7.0~bzr428-0ubuntu2.debian.tar.gz
==> Validating source files with sha512sums...
    libcompizconfig_0.9.7.0~bzr428.orig.tar.bz2 ... Passed
    libcompizconfig_0.9.7.0~bzr428-0ubuntu2.debian.tar.gz ... Passed
==> Extracting Sources...
  -> Extracting libcompizconfig_0.9.7.0~bzr428.orig.tar.bz2 with bsdtar
  -> Extracting libcompizconfig_0.9.7.0~bzr428-0ubuntu2.debian.tar.gz with bsdtar
==> Removing existing pkg/ directory...
==> Starting build()...
patching file config/config
running cd "/home/jesse/builds/Unity-for-Arch/libcompizconfig-ubuntu/src/libcompizconfig-0.9.5.94/src" && /usr/bin/protoc --cpp_out='.' compizconfig.proto  2>&1

************************************************************
* Compiz Buildsystem                                       *
*                                                          *
* Package : CompizConfig Library                           *
* Version : 0.9.5.94                                       *
************************************************************

Optional features:

   protocol buffers               : Yes
   file system change notifications : Yes

Plugin configure check results:

  ccp           : Yes

************************************************************

-- Configuring done
-- Generating done

CMake Warning:
  Manually-specified variables were not used by the project:

    CMAKE_BUILD_WITH_RPATH
    COMPIZ_DISABLE_GS_SCHEMAS_INSTALL


-- Build files have been written to: /home/jesse/builds/Unity-for-Arch/libcompizconfig-ubuntu/src/libcompizconfig-0.9.5.94/build
Scanning dependencies of target compizconfig
[  7%] Building CXX object src/CMakeFiles/compizconfig.dir/compiz.cpp.o
/home/jesse/builds/Unity-for-Arch/libcompizconfig-ubuntu/src/libcompizconfig-0.9.5.94/src/compiz.cpp: In function 'Bool createProtoBufCacheDir()':
/home/jesse/builds/Unity-for-Arch/libcompizconfig-ubuntu/src/libcompizconfig-0.9.5.94/src/compiz.cpp:1927:43: warning: ignoring return value of 'int asprintf(char**, const char*, ...)', declared with attribute warn_unused_result [-Wunused-result]
/home/jesse/builds/Unity-for-Arch/libcompizconfig-ubuntu/src/libcompizconfig-0.9.5.94/src/compiz.cpp:1934:49: warning: ignoring return value of 'int asprintf(char**, const char*, ...)', declared with attribute warn_unused_result [-Wunused-result]
/home/jesse/builds/Unity-for-Arch/libcompizconfig-ubuntu/src/libcompizconfig-0.9.5.94/src/compiz.cpp: In function 'void ccsLoadPlugins(CCSContext*)':
/home/jesse/builds/Unity-for-Arch/libcompizconfig-ubuntu/src/libcompizconfig-0.9.5.94/src/compiz.cpp:3027:56: warning: ignoring return value of 'int asprintf(char**, const char*, ...)', declared with attribute warn_unused_result [-Wunused-result]
/home/jesse/builds/Unity-for-Arch/libcompizconfig-ubuntu/src/libcompizconfig-0.9.5.94/src/compiz.cpp:3039:55: warning: ignoring return value of 'int asprintf(char**, const char*, ...)', declared with attribute warn_unused_result [-Wunused-result]
/home/jesse/builds/Unity-for-Arch/libcompizconfig-ubuntu/src/libcompizconfig-0.9.5.94/src/compiz.cpp: In function 'void loadPluginFromXMLFile(CCSContext*, char*, char*)':
/home/jesse/builds/Unity-for-Arch/libcompizconfig-ubuntu/src/libcompizconfig-0.9.5.94/src/compiz.cpp:2756:58: warning: ignoring return value of 'int asprintf(char**, const char*, ...)', declared with attribute warn_unused_result [-Wunused-result]
/home/jesse/builds/Unity-for-Arch/libcompizconfig-ubuntu/src/libcompizconfig-0.9.5.94/src/compiz.cpp:2792:73: warning: ignoring return value of 'int asprintf(char**, const char*, ...)', declared with attribute warn_unused_result [-Wunused-result]
/home/jesse/builds/Unity-for-Arch/libcompizconfig-ubuntu/src/libcompizconfig-0.9.5.94/src/compiz.cpp: In function 'void addPluginFromPB(CCSContext*, const PluginInfoMetadata&, char*, char*)':
/home/jesse/builds/Unity-for-Arch/libcompizconfig-ubuntu/src/libcompizconfig-0.9.5.94/src/compiz.cpp:882:69: warning: ignoring return value of 'int asprintf(char**, const char*, ...)', declared with attribute warn_unused_result [-Wunused-result]
/home/jesse/builds/Unity-for-Arch/libcompizconfig-ubuntu/src/libcompizconfig-0.9.5.94/src/compiz.cpp: In function 'Bool addPluginFromXMLNode(CCSContext*, xmlNode*, char*, void*)':
/home/jesse/builds/Unity-for-Arch/libcompizconfig-ubuntu/src/libcompizconfig-0.9.5.94/src/compiz.cpp:2517:72: warning: ignoring return value of 'int asprintf(char**, const char*, ...)', declared with attribute warn_unused_result [-Wunused-result]
/home/jesse/builds/Unity-for-Arch/libcompizconfig-ubuntu/src/libcompizconfig-0.9.5.94/src/compiz.cpp: In function 'Bool ccsLoadPlugin(CCSContext*, char*)':
/home/jesse/builds/Unity-for-Arch/libcompizconfig-ubuntu/src/libcompizconfig-0.9.5.94/src/compiz.cpp:2992:40: warning: ignoring return value of 'int asprintf(char**, const char*, ...)', declared with attribute warn_unused_result [-Wunused-result]
/home/jesse/builds/Unity-for-Arch/libcompizconfig-ubuntu/src/libcompizconfig-0.9.5.94/src/compiz.cpp:2999:59: warning: ignoring return value of 'int asprintf(char**, const char*, ...)', declared with attribute warn_unused_result [-Wunused-result]
[ 14%] Building CXX object src/CMakeFiles/compizconfig.dir/compizconfig.pb.cc.o
Linking CXX shared library libcompizconfig.so
[ 64%] Built target compizconfig
[ 71%] Building CXX object backend/CMakeFiles/ini.dir/src/transition_ini.cpp.o
/home/jesse/builds/Unity-for-Arch/libcompizconfig-ubuntu/src/libcompizconfig-0.9.5.94/backend/src/transition_ini.cpp:43:21: fatal error: gio/gio.h: No such file or directory
compilation terminated.
make[2]: *** [backend/CMakeFiles/ini.dir/src/transition_ini.cpp.o] Error 1
make[1]: *** [backend/CMakeFiles/ini.dir/all] Error 2
make: *** [all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...

About the auto hide issue, can you provide the downgrade packages until it gets fixed? Thanks.

Thanks! The missing gio.h is in the glib2-ubuntu package. Could you verify that you have the latest glib2-ubuntu installed? If you do, could you check that the gio.h file got installed?

pacman -Ql glib2-ubuntu | grep gio.h

As for downgrading packages, unfortunately, I won't be able to do that. Ubuntu deletes the previous versions of all the packages in the Ubuntu repository sad Hopefully, they'll fix it soon.

EDIT: If you do have the latest libcompizconfig installed, could you try adding the following above the cmake line in the PKGBUILD?

CFLAGS="${CFLAGS} $(pkg-config --cflags --libs gio-2.0)"

Last edited by chenxiaolong (2012-02-22 01:13:44)


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

#339 2012-02-22 01:17:00

quasifilmie
Member
From: Bowmanville, Ontario, Canada
Registered: 2011-10-27
Posts: 292

Re: Progress on Unity under Arch Linux!

utouch-frame will not compile and xorg-server is installed.

==> Making package: utouch-frame 2.2.0-101 (Tue Feb 21 20:19:38 EST 2012)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving Sources...
  -> Found utouch-frame-2.2.0.tar.gz
==> Validating source files with sha512sums...
    utouch-frame-2.2.0.tar.gz ... Passed
==> Extracting Sources...
  -> Extracting utouch-frame-2.2.0.tar.gz with bsdtar
==> Removing existing pkg/ directory...
==> Starting build()...
checking for a BSD-compatible install... /bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether to disable maintainer-specific portions of Makefiles... yes
checking build system type... x86_64-unknown-linux-gnu
checking host system type... x86_64-unknown-linux-gnu
checking how to print strings... printf
checking for style of include used by make... GNU
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking dependency style of gcc... gcc3
checking for a sed that does not truncate output... /bin/sed
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for fgrep... /usr/bin/grep -F
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... 1572864
checking whether the shell understands some XSI constructs... yes
checking whether the shell understands "+="... yes
checking how to convert x86_64-unknown-linux-gnu file names to x86_64-unknown-linux-gnu format... func_convert_file_noop
checking how to convert x86_64-unknown-linux-gnu file names to toolchain format... func_convert_file_noop
checking for /usr/bin/ld option to reload object files... -r
checking for objdump... objdump
checking how to recognize dependent libraries... pass_all
checking for dlltool... no
checking how to associate runtime and link libraries... printf %s\n
checking for ar... ar
checking for archiver @FILE support... @
checking for strip... strip
checking for ranlib... ranlib
checking command to parse /usr/bin/nm -B output from gcc object... ok
checking for sysroot... no
checking for mt... no
checking if : is a manifest tool... no
checking how to run the C preprocessor... gcc -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for dlfcn.h... yes
checking for objdir... .libs
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -fPIC -DPIC
checking if gcc PIC flag -fPIC -DPIC works... yes
checking if gcc static flag -static works... yes
checking if gcc supports -c -o file.o... yes
checking if gcc supports -c -o file.o... (cached) yes
checking whether the gcc linker (/usr/bin/ld -m elf_x86_64) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... no
checking for gcc... (cached) gcc
checking whether we are using the GNU C compiler... (cached) yes
checking whether gcc accepts -g... (cached) yes
checking for gcc option to accept ISO C89... (cached) none needed
checking dependency style of gcc... (cached) gcc3
checking for g++... g++
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking dependency style of g++... gcc3
checking how to run the C++ preprocessor... g++ -E
checking for ld used by g++... /usr/bin/ld -m elf_x86_64
checking if the linker (/usr/bin/ld -m elf_x86_64) is GNU ld... yes
checking whether the g++ linker (/usr/bin/ld -m elf_x86_64) supports shared libraries... yes
checking for g++ option to produce PIC... -fPIC -DPIC
checking if g++ PIC flag -fPIC -DPIC works... yes
checking if g++ static flag -static works... yes
checking if g++ supports -c -o file.o... yes
checking if g++ supports -c -o file.o... (cached) yes
checking whether the g++ linker (/usr/bin/ld -m elf_x86_64) supports shared libraries... yes
checking dynamic linker characteristics... (cached) GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for MTDEV... yes
checking for EVEMU... yes
checking for XINPUT... no
configure: error: Package requirements (x11 xext
                             xi >= 1.5.99.2
                             inputproto >= 2.1.99.3
                             xorg-server) were not met:

No package 'xorg-server' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables XINPUT_CFLAGS
and XINPUT_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

Last edited by quasifilmie (2012-02-22 01:19:45)

Offline

#340 2012-02-22 01:40:39

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

quasifilmie wrote:

Unable to build lidindicator-datetime

 patching file debian/indicator-datetime-gtk2.install
patching file debian/compat
patching file debian/rules
patching file debian/copyright
patching file debian/changelog
patching file debian/watch
patching file debian/control
patching file debian/indicator-datetime.install
patching file debian/patches/lp_802384.patch
patching file debian/patches/gtk_box_api.patch
patching file debian/patches/disable_Werror.patch
patching file debian/patches/series
patching file debian/patches/lp_844741.patch
patching file debian/source/format
patching file src/Makefile.am
patching file src/Makefile.am
Reversed (or previously applied) patch detected!  Skipping patch.
3 out of 3 hunks ignored -- saving rejects to file src/Makefile.am.rej
patching file src/Makefile.am
Reversed (or previously applied) patch detected!  Skipping patch.
3 out of 3 hunks ignored -- saving rejects to file src/Makefile.am.rej
 

EDIT: after tinkering with pkgbuild I am getting this

 No package 'libgnome-control-center' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables PREF_CFLAGS
and PREF_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
==> ERROR: A failure occurred in build().
    Aborting...
 

I've just updated the package. Could you test again? If it still fails, could you check that you have gnome-control-center-ubuntu installed?


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

#341 2012-02-22 01:49:22

quasifilmie
Member
From: Bowmanville, Ontario, Canada
Registered: 2011-10-27
Posts: 292

Re: Progress on Unity under Arch Linux!

Ill test when nux finishes compiling. Fixed the utouch-frame issue.

Edit: Compiled with no errors. Thanks for your hard chenxiaolong.

Last edited by quasifilmie (2012-02-22 02:25:17)

Offline

#342 2012-02-22 02:41:15

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

quasifilmie wrote:

Ill test when nux finishes compiling. Fixed the utouch-frame issue.

Edit: Compiled with no errors. Thanks for your hard chenxiaolong.

You're welcome tongue


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

#343 2012-02-24 23:33:22

aabmass
Member
Registered: 2011-12-14
Posts: 32

Re: Progress on Unity under Arch Linux!

I tried Unity for Arch a while ago and it was a little rough, but I'm currently recompiling from Chenxiaolong's git repo.

I was wondering if anybody knows how up to date rleyh's pacman repo is, for the sake of time?

Offline

#344 2012-02-25 01:35:16

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

aabmass wrote:

I tried Unity for Arch a while ago and it was a little rough, but I'm currently recompiling from Chenxiaolong's git repo.

I was wondering if anybody knows how up to date rleyh's pacman repo is, for the sake of time?

I think it's been updated Feb. 20.The repository includes changes I made that day, but nothing later. I'm sure it'll be updated again pretty soon. Rleyh is pretty good about that big_smile


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

#345 2012-02-25 04:47:43

aabmass
Member
Registered: 2011-12-14
Posts: 32

Re: Progress on Unity under Arch Linux!

Thanks, very nice work smile

Actually, I have just one problem.. There's no clock!

Last edited by aabmass (2012-02-25 04:56:43)

Offline

#346 2012-02-25 05:09:57

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

aabmass wrote:

Thanks, very nice work smile

Actually, I have just one problem.. There's no clock!

Maybe try compiling from git? Rleyh's repo was updated the day before I updated indicator-datetime smile


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

#347 2012-02-25 11:20:09

asasinuxp
Member
Registered: 2012-02-25
Posts: 1

Re: Progress on Unity under Arch Linux!

//Fixed, I had a problem with some packages.

Last edited by asasinuxp (2012-02-25 12:02:27)

Offline

#348 2012-02-26 22:43:43

kuglee
Member
Registered: 2011-09-02
Posts: 61

Re: Progress on Unity under Arch Linux!

Qt-ubuntu fails to build.
http://pastebin.com/2Un0BV23

Offline

#349 2012-02-28 02:59:27

rleyh
Member
From: germany
Registered: 2011-10-14
Posts: 28

Re: Progress on Unity under Arch Linux!

chenxiaolong wrote:
aabmass wrote:

Thanks, very nice work smile

Actually, I have just one problem.. There's no clock!

Maybe try compiling from git? Rleyh's repo was updated the day before I updated indicator-datetime smile

I'm glad about the resonance smile I think i can promise another update of my repo for tomorrow (or today) evening.

EDIT: Update done. You'll probably need to install the whole repository as explained in my initial post on page 6, because some new packages have been added which seem not to be pulled in as dependency by already installed packages.

Last edited by rleyh (2012-03-01 15:07:16)

Offline

#350 2012-02-28 15:00:11

aabmass
Member
Registered: 2011-12-14
Posts: 32

Re: Progress on Unity under Arch Linux!

kuglee wrote:

Qt-ubuntu fails to build.
http://pastebin.com/2Un0BV23

qt-ubuntu fails for me too sad http://pastebin.com/q0je61r8


rleyh wrote:

I'm glad about the resonance  I think i can promise another update of my repo for tomorrow (or today) evening.

Thank you smile im compiling from git in the meantime, anyway.

Offline

Board footer

Powered by FluxBB